libmwaw::PrinterRectResolution Struct Reference documentation

Public Member Functions | Protected Attributes | Friends | List of all members
libmwaw::PrinterRectResolution Struct Reference

Internal: structure used to keep a rectangle with its resolution. More...

## Public Member Functions
| PrinterRectResolution ()
PrinterRect | page () const
| page dimension
MWAWVec2i const & | resolution () const
| resolution
bool | read (MWAWInputStreamPtr input)
| reads the data from file

## Protected Attributes
PrinterRect | m_rect
| returns the main rectangle
MWAWVec2i | m_resolution
| returns the resolution
int | m_iDev
| a field which is reserved

## Friends
std::ostream & | operator<< (std::ostream &o, PrinterRectResolution const &r)
| operator <<

## Detailed Description

Internal: structure used to keep a rectangle with its resolution.

## Constructor & Destructor Documentation

## ◆ PrinterRectResolution()

libmwaw::PrinterRectResolution::PrinterRectResolution | ( |  | ) |
| inline

## Member Function Documentation

## ◆ page()

PrinterRect libmwaw::PrinterRectResolution::page | ( |  | ) | const
| inline

page dimension

## ◆ read()

bool libmwaw::PrinterRectResolution::read | ( | MWAWInputStreamPtr | input | ) |
| inline

reads the data from file

## ◆ resolution()

MWAWVec2i const & libmwaw::PrinterRectResolution::resolution | ( |  | ) | const
| inline

resolution

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | PrinterRectResolution const & | r
| ) |  |
| friend

operator <<

## Member Data Documentation

## ◆ m_iDev

int libmwaw::PrinterRectResolution::m_iDev
| protected

a field which is reserved

Referenced by read().

## ◆ m_rect

PrinterRect libmwaw::PrinterRectResolution::m_rect
| protected

returns the main rectangle

Referenced by page(), and read().

## ◆ m_resolution

MWAWVec2i libmwaw::PrinterRectResolution::m_resolution
| protected

returns the resolution

Referenced by read(), and resolution().

The documentation for this struct was generated from the following file:

- MWAWPrinter.cxx